Skip to main content
`Ctrl`+`K`

# KSPPythonSetType

Initialize a `KSP` object to a type implemented in Python.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPythonSetType(KSP ksp, const char pyname[])

Collective

## Input Parameters

- ksp - the linear solver `KSP` context.

- pyname - full dotted Python name [package].module[.{class|function}]

## Options Database Key

- -ksp_python_type <pyname> - python class

## See Also

KSP: Linear System Solvers, `KSPCreate()`, `KSPSetType()`, `KSPPYTHON`, `PetscPythonInitialize()`

## Level

intermediate

## Location

src/ksp/ksp/impls/python/pythonksp.c

## Examples

src/ksp/ksp/tutorials/ex100f.F90
src/ksp/ksp/tutorials/ex100.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages